Index: /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/EXTERNAL/AGRIF/LIB/fortran.c
===================================================================
--- /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/EXTERNAL/AGRIF/LIB/fortran.c	(revision 6807)
+++ /branches/NERC/dev_r5549_BDY_ZEROGRAD/NEMOGCM/EXTERNAL/AGRIF/LIB/fortran.c	(revision 6808)
@@ -9750,6 +8156,6 @@
 static char *yy_last_accepting_cpos;
 
-extern int fortran_flex_debug;
-int fortran_flex_debug = 0;
+extern int fortran__flex_debug;
+int fortran__flex_debug = 0;
 
 /* The intent behind this definition is that it'll catch
@@ -9760,5 +8166,5 @@
 #define YY_MORE_ADJ 0
 #define YY_RESTORE_YY_MORE_OFFSET
-char *fortrantext;
+char *fortran_text;
 #line 1 "fortran.lex"
 /******************************************************************************/
@@ -9801,17 +8207,17 @@
 
 
-#line 41 "fortran.lex"
+#line 44 "fortran.lex"
 #include <math.h>
 #include <stdlib.h>
 #include <string.h>
-extern FILE * fortranin;
+extern FILE * fortran_in;
 #define MAX_INCLUDE_DEPTH 30
-#define tabsize 6
 YY_BUFFER_STATE include_stack[MAX_INCLUDE_DEPTH];
-int line_num_fortran=1;
-int line_num_fortran_common=1;
+int line_num_input = 1;
 int newlinef90 = 0;
-char *tmp;
 char tmpc;
+#define PRINT_LINE_NUM()     // { fprintf(stderr,"== Parsing l.%4d...\n", line_num_input); }
+#define INCREMENT_LINE_NUM() { line_num_input++; PRINT_LINE_NUM(); }
+
 /******************************************************************************/
 /**************PETITS PB NON PREVUS *******************************************/
@@ -9823,21 +8229,9 @@
 /*            Normalement NEXTLINEF77 \n+[ ]{5}[^ ]                           */
 /******************************************************************************/
-#define YY_USER_ACTION \
-        {\
-           if (firstpass == 0) \
-           {\
-              strcat(curbuf,fortrantext); \
-              Save_Length(curbuf,38); \
-              strcpy(motparse,fortrantext);\
-              Save_Length(motparse,32); \
-              colnum = colnum + strlen(motparse);\
-              ECHO; \
-           }\
-           strcpy(motparse1,fortrantext);\
-/*           printf("fortrantext = %s\n",fortrantext);*/\
-        /*if ( firstpass == 1 ) 
-                      printf("fortrantext = %s %d\n",fortrantext,strlen(fortrantext));*/\
-        }
-#line 2979 "fortran.yy.c"
+#define YY_USER_ACTION  if (firstpass == 0) ECHO;
+
+void out_of_donottreat(void);
+
+#line 1826 "fortran.yy.c"
 
 #define INITIAL 0
@@ -9865,29 +8259,29 @@
    These are made visible to non-reentrant scanners for convenience. */
 
-int fortranlex_destroy (void );
-
-int fortranget_debug (void );
-
-void fortranset_debug (int debug_flag  );
-
-YY_EXTRA_TYPE fortranget_extra (void );
-
-void fortranset_extra (YY_EXTRA_TYPE user_defined  );
-
-FILE *fortranget_in (void );
-
-void fortranset_in  (FILE * in_str  );
-
-FILE *fortranget_out (void );
-
-void fortranset_out  (FILE * out_str  );
-
-yy_size_t fortranget_leng (void );
-
-char *fortranget_text (void );
-
-int fortranget_lineno (void );
-
-void fortranset_lineno (int line_number  );
+int fortran_lex_destroy (void );
+
+int fortran_get_debug (void );
+
+void fortran_set_debug (int debug_flag  );
+
+YY_EXTRA_TYPE fortran_get_extra (void );
+
+void fortran_set_extra (YY_EXTRA_TYPE user_defined  );
+
+FILE *fortran_get_in (void );
+
+void fortran_set_in  (FILE * in_str  );
+
+FILE *fortran_get_out (void );
+
+void fortran_set_out  (FILE * out_str  );
+
+yy_size_t fortran_get_leng (void );
+
+char *fortran_get_text (void );
+
+int fortran_get_lineno (void );
+
+void fortran_set_lineno (int line_number  );
 
 /* Macros after this point can all be overridden by user definitions in
@@ -9897,7 +8291,7 @@
 #ifndef YY_SKIP_YYWRAP
 #ifdef __cplusplus
-extern "C" int fortranwrap (void );
+extern "C" int fortran_wrap (void );
 #else
-extern int fortranwrap (void );
+extern int fortran_wrap (void );
 #endif
 #endif
@@ -9933,5 +8327,5 @@
  * we now use fwrite().
  */
-#define ECHO fwrite( fortrantext, fortranleng, 1, fortranout )
+#define ECHO fwrite( fortran_text, fortran_leng, 1, fortran_out )
 #endif
 
@@ -9946,9 +8340,9 @@
 		yy_size_t n; \
 		for ( n = 0; n < max_size && \
-			     (c = getc( fortranin )) != EOF && c != '\n'; ++n ) \
+			     (c = getc( fortran_in )) != EOF && c != '\n'; ++n ) \
 			buf[n] = (char) c; \
 		if ( c == '\n' ) \
 			buf[n++] = (char) c; \
-		if ( c == EOF && ferror( fortranin ) ) \
+		if ( c == EOF && ferror( fortran_in ) ) \
 			YY_FATAL_ERROR( "input in flex scanner failed" ); \
 		result = n; \
@@ -9957,5 +8351,5 @@
 		{ \
 		errno=0; \
-		while ( (result = fread(buf, 1, max_size, fortranin))==0 && ferror(fortranin)) \
+		while ( (result = fread(buf, 1, max_size, fortran_in))==0 && ferror(fortran_in)) \
 			{ \
 			if( errno != EINTR) \
@@ -9965,5 +8359,5 @@
 				} \
 			errno=0; \
-			clearerr(fortranin); \
+			clearerr(fortran_in); \
 			} \
 		}\
@@ -9998,10 +8392,10 @@
 #define YY_DECL_IS_OURS 1
 
-extern int fortranlex (void);
-
-#define YY_DECL int fortranlex (void)
+extern int fortran_lex (void);
+
+#define YY_DECL int fortran_lex (void)
 #endif /* !YY_DECL */
 
-/* Code executed at the beginning of each rule, after fortrantext and fortranleng
+/* Code executed at the beginning of each rule, after fortran_text and fortran_leng
  * have been set up.
  */
@@ -10016,7 +8410,7 @@
 
 #define YY_RULE_SETUP \
-	if ( fortranleng > 0 ) \
+	if ( fortran_leng > 0 ) \
 		YY_CURRENT_BUFFER_LVALUE->yy_at_bol = \
-				(fortrantext[fortranleng - 1] == '\n'); \
+				(fortran_text[fortran_leng - 1] == '\n'); \
 	YY_USER_ACTION
 
@@ -10029,10 +8423,10 @@
 	register int yy_act;
     
-#line 107 "fortran.lex"
+#line 97 "fortran.lex"
 
   if (infixed) BEGIN(fortran77style) ;
-  if (infree) BEGIN(fortran90style)  ;
-
-#line 3174 "fortran.yy.c"
+  if (infree)  BEGIN(fortran90style) ;
+
+#line 2021 "fortran.yy.c"
 
 	if ( !(yy_init) )
@@ -10047,17 +8441,17 @@
 			(yy_start) = 1;	/* first start state */
 
-		if ( ! fortranin )
-			fortranin = stdin;
-
-		if ( ! fortranout )
-			fortranout = stdout;
+		if ( ! fortran_in )
+			fortran_in = stdin;
+
+		if ( ! fortran_out )
+			fortran_out = stdout;
 
 		if ( ! YY_CURRENT_BUFFER ) {
-			fortranensure_buffer_stack ();
+			fortran_ensure_buffer_stack ();
 			YY_CURRENT_BUFFER_LVALUE =
-				fortran_create_buffer(fortranin,YY_BUF_SIZE );
+				fortran__create_buffer(fortran_in,YY_BUF_SIZE );
 		}
 
-		fortran_load_buffer_state( );
+		fortran__load_buffer_state( );
 		}
 
@@ -10066,5 +8460,5 @@
 		yy_cp = (yy_c_buf_p);
 
-		/* Support of fortrantext. */
+		/* Support of fortran_text. */
 		*yy_cp = (yy_hold_char);
 
@@ -10088,5 +8482,5 @@
 				{
 				yy_current_state = (int) yy_def[yy_current_state];
-				if ( yy_current_state >= 1162 )
+				if ( yy_current_state >= 1132 )
 					yy_c = yy_meta[(unsigned int) yy_c];
 				}
@@ -10094,5 +8488,5 @@
 			++yy_cp;
 			}
-		while ( yy_base[yy_current_state] != 9159 );
+		while ( yy_base[yy_current_state] != 4012 );
 
 yy_find_action:
